
Foreman - Feature #32278

User JSON web tokens

04/09/2021 05:51 AM - Leos Stejskal

Status: Ready For Testing   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8452,

https://github.com/theforeman/foreman/p

ull/8525

  

Description

New API endpoint & UI for generating and invalidating user's JSON web tokens.

Subtasks:

Feature # 32598: JSON web tokens & scope New

History

#1 - 04/09/2021 09:03 AM - Ewoud Kohl van Wijngaarden

Not just the UI, also an API please.

#2 - 04/20/2021 07:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8452 added

#3 - 05/14/2021 07:58 AM - Leos Stejskal

- Subject changed from Invalidate user's JWT to User JSON web tokens

- Description updated

#4 - 05/14/2021 08:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8525 added
